> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/bitcoin-btc/btc_validateaddress.md).

# validateaddress - Bitcoin

This method returns information about the given Bitcoin address.

### Parameters

| Parameter | Type   | Required | Description                      |
| --------- | ------ | -------- | -------------------------------- |
| address   | string | Yes      | The Bitcoin address to validate. |

### Request

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```bash
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \
--data-raw '{
    "jsonrpc": "2.0",
    "method": "validateaddress",
    "params": ["bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq"],
    "id": "getblock.io"
}'
```

{% endcode %}
{% endtab %}

{% tab title="Axios" %}
{% code overflow="wrap" %}

```javascript
import axios from 'axios';

const data = JSON.stringify({
    "jsonrpc": "2.0",
    "method": "validateaddress",
    "params": ["bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq"],
    "id": "getblock.io"
});

const config = {
    method: 'post',
    url: 'https://go.getblock.io/<ACCESS-TOKEN>/',
    headers: {
        'Content-Type': 'application/json'
    },
    data: data
};

axios(config)
    .then(response => console.log(JSON.stringify(response.data)))
    .catch(error => console.log(error));
```

{% endcode %}
{% endtab %}

{% tab title="Request" %}
{% code overflow="wrap" %}

```python
import requests
import json

url = "https://go.getblock.io/<ACCESS-TOKEN>/"

payload = json.dumps({
    "jsonrpc": "2.0",
    "method": "validateaddress",
    "params": ["bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq"],
    "id": "getblock.io"
})

headers = {
    'Content-Type': 'application/json'
}

response = requests.post(url, headers=headers, data=payload)
print(response.text)
```

{% endcode %}
{% endtab %}

{% tab title="Rust" %}
{% code overflow="wrap" %}

```rust
use reqwest::header;

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let client = reqwest::Client::new();
    
    let response = client
        .post("https://go.getblock.io/<ACCESS-TOKEN>/")
        .header(header::CONTENT_TYPE, "application/json")
        .body(r#"{
            "jsonrpc": "2.0",
            "method": "validateaddress",
    "params": ["bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq"],
            "id": "getblock.io"
        }"#)
        .send()
        .await?;
    
    println!("{}", response.text().await?);
    Ok(())
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response

```json
{
    "jsonrpc": "2.0",
    "id": "getblock.io",
    "result": {
        "isvalid": true,
        "address": "bc1qar0srrr7xfkvy5l643lydnw9re59gtzzwf5mdq",
        "scriptPubKey": "0014e8df018c7e326cc253f167d922d5b8e7cd25f1c9",
        "isscript": false,
        "iswitness": true,
        "witness_version": 0,
        "witness_program": "e8df018c7e326cc253f167d922d5b8e7cd25f1c9"
    }
}
```

### Response Parameters

| Field            | Type    | Description                                            |
| ---------------- | ------- | ------------------------------------------------------ |
| isvalid          | boolean | Whether the address is valid.                          |
| address          | string  | The validated Bitcoin address.                         |
| scriptPubKey     | string  | The hex-encoded scriptPubKey generated by the address. |
| isscript         | boolean | Whether the key is a script.                           |
| iswitness        | boolean | Whether the address is a witness address.              |
| witness\_version | number  | The witness version (for SegWit addresses).            |
| witness\_program | string  | The hex value of the witness program.                  |

### Use Case

The `validateaddress` method is essential for:

* Validating user-provided addresses
* Determining address type (legacy, SegWit, Taproot)
* Payment form validation
* Building address analysis tools
* Preventing invalid transactions
* Supporting multiple address formats

### Error Handling

| Status Code | Error Message | Cause                            |
| ----------- | ------------- | -------------------------------- |
| 403         | Forbidden     | Missing or invalid ACCESS-TOKEN. |

### Integration With Web3

The `validateaddress` method helps developers:

* Validate addresses before transactions
* Build address type detection
* Support all address formats
* Implement user input validation
* Create address analysis features


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getblock.io/api-reference/bitcoin-btc/btc_validateaddress.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
